Download failed : Oracle JDK 6 is NOT installed
 
 

Don't worry about installation jdk 6. SDKMAN is here to resolve your issue. SDKMAN installation is given in this link

It gives a list of java version. You can install all of them. If you have multiple java version, you can specify one of them. You can also set default java version as required.

<code>===============================
$ sdk list java
$ sdk install java 6u93-zulu
$ sdk use java 6u93-zulu
$ sdk default java 6u93-zulu
===============================</code>

For Details,

$ sdk list java

It gives a list of java version

$ sdk install java 6u93-zulu

It installs java 6

$ sdk use java 6u93-zulu
  • If you want to use java 6, you can run this command.
  • For specific project, you can use specific java version using SDKMAN
$ sdk default 6u93-zulu

It is used to set java 6 as default.

<code>[email protected]:~$ sdk list java

============================================
Available Java Versions
============================================
  * 9.0.1-zulu                                                                    
    9.0.1-oracle                                                                  
    9.0.0-zulu                                                                    
    8u152-zulu                                                                    
    8u151-oracle                                                                  
    8u144-zulu                                                                    
    8u131-zulu                                                                    
    7u141-zulu                                                                    
  * 6u93-zulu                                                                     

=========================================================
+ - local version
* - installed
> - currently in use
=========================================================
</code>

You can also use this for multiple gradle

<code>$ sdk install gradle 4.3
$ sdk install gradle 3.0
$ sdk use gradle 4.3
$ sdk default gradle 4.3
</code>

For other installation like scala, groovy, you can follow this tutorial